1

I followed the snapcraft.io/create tutorial to create the following snapcraft.yaml:

name: vokoscreen-snap
version: "2.5.0"
summary: Vokoscreen Screencast
description: Screencast software
  This is part of the snapcraft tour at https://snapcraft.io/create/
confinement: strict

apps:
  vokoscreen:
    command: vokoscreen-snap

parts:
  vokoscreen:
    plugin: autotools
    source: http://linuxecke.volkoh.de/vokoscreen/vokoscreen-2.5.0.tar.gz

Running snapcraft, however, results in the following error:

orschiro@x230:~/Downloads/vokoscreen-snap$ snapcraft 
Skipping pull vokoscreen (already ran)
Preparing to build vokoscreen 
Building vokoscreen 
autoreconf -i
autoreconf: 'configure.ac' or 'configure.in' is required
Command '['/bin/sh', '/tmp/tmpsmpubw0c', 'autoreconf', '-i']' returned
non-zero exit status 1

I made sure that build-essential is installed properly. How can I resolve the build error?

2

The autotools plugin, which is specified in your snapcraft.yaml is needed for the ./configure && make && sudo make install kind of software. (You can check the output of snapcraft help autotools to get an idea what it does, what its features are and what it expects.)

Looking at the contents of vokoscreen-2.5.0.tar.gz, it likely won't need the autotools plugin to build:

daniel@daydream:/tmp$ tar xfvz vokoscreen-2.5.0.tar.gz 
./vokoscreen.run
daniel@daydream:/tmp$ file vokoscreen.run 
vokoscreen.run: POSIX shell script executable (binary data)
daniel@daydream:/tmp$ 

The tarball contains only one executable, which looks like it's self-extracting. As far as I know there's no plugin for snapcraft which takes care of that yet, so you might want to write your own plugin. It should be just a couple of lines of python.

Update: Looking at https://codeload.github.com/vkohaupt/vokoscreen/tar.gz/2.5.0 you could also just build it from source using the qmake plugin.

| improve this answer | |
  • Thank you very much! I managed to proceed with this snapcraft.yaml up to the point that it now says no handler to manage source. What does that mean concretely? – orschiro Jul 5 '16 at 6:52
  • Either use github.com/vkohaupt/vokoscreen/archive/2.5.0.tar.gz as source or set source-type to tar. From the URL snapcraft can't decide what to do. :-) – dholbach Jul 5 '16 at 9:24
  • Getting closer step by step. :-) Now I just need to find out which package is missing for resolve this error sh: 1: lrelease-qt5: not found Project ERROR: alsa development package not found. – orschiro Jul 5 '16 at 10:07
  • 1
    libasound2-dev for alsa I think. – dholbach Jul 5 '16 at 11:29
  • 1
    I'm not quite sure. Maybe using a custom plugin? I've seen something like this over here. – dholbach Jul 6 '16 at 6:24

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.